New to Ruby; Trying to use RMagick

Hey, guys. I am new to ruby, but need to move through using it quickly,
as I am doing an internship at my school that requires progress on my
current project. I need to start graphing numerical experiments quickly.
Starting with Gaussian functions.

I followed the instructions for installing RMagick and am interested in
the RVG library for graphing.

I attempted to run the first program from
http://www.imagemagick.org/RMagick/doc/rvgtut.html and get the error:

"D:\MyProjects\C++\Internship\ruby>ruby graph.rb
graph.rb:1:in `require': no such file to load -- rvg/rvg (LoadError)
        from graph.rb:1"

I apologize for not knowing how to fix such a seemingly simple problem,
but what should I do to get this to run?

···

--
Posted via http://www.ruby-forum.com/.

Did you require rubygems?

···

On Sep 20, 2009, at 4:28 PM, Jake J. wrote:

Hey, guys. I am new to ruby, but need to move through using it quickly,
as I am doing an internship at my school that requires progress on my
current project. I need to start graphing numerical experiments quickly.
Starting with Gaussian functions.

I followed the instructions for installing RMagick and am interested in
the RVG library for graphing.

I attempted to run the first program from
http://www.imagemagick.org/RMagick/doc/rvgtut.html and get the error:

"D:\MyProjects\C++\Internship\ruby>ruby graph.rb
graph.rb:1:in `require': no such file to load -- rvg/rvg (LoadError)
       from graph.rb:1"

I apologize for not knowing how to fix such a seemingly simple problem,
but what should I do to get this to run?

---
Aaron Patterson
http://tenderlovemaking.com

okay I am new to, Ruby and it seems that no one to help you out. but I am still having a very hard time getting this ruby to work. so what are your trying to do?

···

--- On Sun, 9/20/09, Aaron Patterson <aaron@tenderlovemaking.com> wrote:

From: Aaron Patterson <aaron@tenderlovemaking.com>
Subject: Re: New to Ruby; Trying to use RMagick
To: "ruby-talk ML" <ruby-talk@ruby-lang.org>
Date: Sunday, September 20, 2009, 5:48 PM

On Sep 20, 2009, at 4:28 PM, Jake J. wrote:

Hey, guys. I am new to ruby, but need to move through using it quickly,
as I am doing an internship at my school that requires progress on my
current project. I need to start graphing numerical experiments quickly.
Starting with Gaussian functions.

I followed the instructions for installing RMagick and am interested in
the RVG library for graphing.

I attempted to run the first program from
http://www.imagemagick.org/RMagick/doc/rvgtut.html and get the error:

"D:\MyProjects\C++\Internship\ruby>ruby graph.rb
graph.rb:1:in `require': no such file to load -- rvg/rvg (LoadError)
from graph.rb:1"

I apologize for not knowing how to fix such a seemingly simple problem,
but what should I do to get this to run?

Did you require rubygems?

---
Aaron Patterson
http://tenderlovemaking.com

Aaron Patterson wrote:

Did you require rubygems?

Ah, that was something that I actually forgot I was supposed to do, but
read about in the past. Thanks!

James: Just start your ruby file with require 'rubygems'.

···

--
Posted via http://www.ruby-forum.com/\.